# $Revision: 1.33 $, $Date: 2011/06/15 19:12:19 $
%include	/usr/lib/rpm/macros.perl
%define		mver	4.0
%define		snap	20110615
Summary:	System for using free software printer drivers
Summary(pl.UTF-8):	System umożliwiający używanie darmowych sterowników drukarek
Name:		foomatic-db-engine
Version:	%{mver}.%{snap}
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://www.linuxprinting.org/download/foomatic/%{name}-%{mver}-%{snap}.tar.gz
# Source0-md5:	455b22f44b73c65adcc30fc9a6313a75
Patch0:		%{name}-cups.patch
URL:		http://www.linuxprinting.org/foomatic.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	foomatic-filters >= 4.0.7
BuildRequires:	libxml2-devel
BuildRequires:	perl-devel
BuildRequires:	rpm-perlprov
Provides:	perl(Foomatic::GrovePath)
Obsoletes:	foomatic
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_ulibdir	%{_prefix}/lib

%description
Foomatic is a system for using free software printer drivers with
common spoolers on Unix. It supports LPD, PDQ, CUPS, the VA Linux LPD,
LPRng, PPR, and direct spooler-less printing and any free software
driver for which execution data has been entered in the database.

%description -l pl.UTF-8
Foomatic to system pozwalający na używanie wolnodostępnych sterowników
drukarek z popularnymi uniksowymi serwerami wydruków. Obsługuje LPD,
PDQ, CUPS, VA Linux LPD, LPRng, PPR i bezpośrednie drukowanie bez
kolejkowania oraz dowolny wolnodostępny sterownik, dla którego
parametry zostały wprowadzone do bazy danych.

%prep
%setup -q -n %{name}-%{mver}-%{snap}
%patch0 -p1

%build
%{__aclocal} -I .
%{__autoconf}
%configure
%{__make} \
	PERL_INSTALLDIRS=vendor

%install
rm -rf $RPM_BUILD_ROOT

chmod +x mkinstalldirs

%{__sed} -i 's,PREFIX =.*,PREFIX = %{_prefix},g' lib/Makefile
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/foomatic/db/source/{driver,opt,printer}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog TODO README USAGE
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/foomatic
%attr(755,root,root) %{_bindir}/foomatic-*
%attr(755,root,root) %{_sbindir}/foomatic-*
%attr(755,root,root) %{_ulibdir}/cups/driver/foomatic
%{perl_vendorlib}/Foomatic
%{_datadir}/foomatic
%{_mandir}/man1/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: foomatic-db-engine.spec,v $
Revision 1.33  2011/06/15 19:12:19  arekm
- up to 4.0.20110615

Revision 1.32  2009/02/22 10:30:55  arekm
- release 4

Revision 1.31  2008/10/19 11:12:41  blekot
- passed proper prefix to local/Makefile (no idea how to change it in prep)

Revision 1.30  2008/07/27 23:05:36  arekm
- release 3

Revision 1.29  2008-03-17 19:08:33  qboosh
- unified

Revision 1.28  2008-03-17 17:01:14  patrys
- rel 2

Revision 1.27  2008-03-17 13:13:17  patrys
- current version (ver schema changed)

Revision 1.26  2007-02-13 07:16:44  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.24  2006/12/16 19:17:36  shadzik
- rel 3

Revision 1.23  2006/12/16 19:05:31  shadzik
- rel 2

Revision 1.22  2006/08/10 14:12:11  havner
- bump BR

Revision 1.21  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.20  2005/11/23 19:33:44  blekot
- up to 3.0.2
- patch0 no longer needed. removed

Revision 1.19  2004/08/11 19:56:45  qboosh
- pass PERLPREFIX to workaround broken (not lib64-aware) perl prefix detection
- release 5

Revision 1.18  2004/08/10 00:41:19  havner
- BR: rpm-perlprov
- rel 4

Revision 1.17  2004/08/10 00:38:59  havner
- rel 3

Revision 1.16  2004/08/10 00:28:58  havner
- noxml1 patch

Revision 1.15  2004/08/09 22:49:24  havner
- rel 2

Revision 1.14  2004/02/19 23:01:08  deejay1
- updated to 3.0.1 final

Revision 1.13  2004/02/09 10:00:42  deejay1
- updated to 3.0.1rc2
- patches outdated
- chlog cosmetics

Revision 1.12  2003/12/28 21:54:24  deejay1
- fixed? md5

Revision 1.11  2003/12/28 21:49:47  deejay1
- updated to 3.0.1rc1

Revision 1.10  2003/12/11 21:57:34  migo
- added patch to fix perl files installing to double DESTDIR

Revision 1.9  2003/07/08 18:26:38  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.8  2003/05/26 16:24:59  malekith
- massive attack: adding Source-md5

Revision 1.7  2003/05/25 05:47:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/05/06 10:09:51  wiget
- first step to 3.0.0

Revision 1.5  2003/03/02 16:14:58  radek
- updated for perl-5.8.0, release 2

Revision 1.4  2003/01/08 21:57:55  migo
- fixed Source0

Revision 1.3  2002/12/23 10:55:22  michuz
- updated to 2.9.1

Revision 1.2  2002/12/22 12:01:08  michuz
- rel 2
- added obsoletes
- fixed %%install

Revision 1.1  2002/12/21 12:26:19  michuz
- initial release (based on foomatic)

Revision 1.13  2002/10/16 06:53:35  jajcus
- english description fixed ("will doesn't"???)

Revision 1.12  2002/10/16 00:21:43  adgor
- Fixed descripions for gswrapper

Revision 1.11  2002/10/16 00:11:48  adgor
- Added warning messages to gswrapper descriptions

Revision 1.10  2002/10/08 14:56:49  qboosh
- BR: automake

Revision 1.9  2002/09/30 00:46:16  kloczek
- release 4,
- commented ppr subpackage (ppr must be prepared first),
- renamed foomatic-cups to cups-foomatic.

Revision 1.8  2002/09/17 19:31:41  ankry
- added Provides: required by current rpm-perlprov, release 3

Revision 1.7  2002/09/17 16:52:00  kloczek
- more macros and autogenerate perl module dependences.

Revision 1.6  2002/09/05 21:06:33  adgor
- Removed "Requires: %%{name} = %%{version}" from subpackages
- Release 2

Revision 1.5  2002/08/09 10:39:42  michuz
- updated to 20020719
- fixed BR (STBR)

Revision 1.4  2002/07/21 15:13:48  qwark
- added some more BR - please take a look at it

Revision 1.3  2002/07/19 10:24:18  qwark
- added libxml2-devel to BR

Revision 1.2  2002/06/10 08:49:53  qboosh
- missing descriptions

Revision 1.1  2002/06/07 00:25:49  adgor
- Initial Release
